Opened 12 years ago

Closed 12 years ago

Last modified 11 years ago

#15187 closed defect (fixed)

dcraw-8.86 Checksum error

Reported by: john@… Owned by: ryandesign (Ryan Schmidt)
Priority: Normal Milestone:
Component: ports Version: 1.6.0
Keywords: dcraw checksum Cc:
Port:

Description

: sudo port -f install dcraw ---> Fetching dcraw ---> Attempting to fetch dcraw-8.86.tar.gz from http://www.cybercom.net/~dcoffin/dcraw/archive/ ---> Verifying checksum(s) for dcraw Error: Checksum (md5) mismatch for dcraw-8.86.tar.gz Error: Checksum (sha1) mismatch for dcraw-8.86.tar.gz Error: Checksum (rmd160) mismatch for dcraw-8.86.tar.gz Error: Target org.macports.checksum returned: Unable to verify file checksums Error: Status 1 encountered during processing.

Change History (4)

comment:1 Changed 12 years ago by raimue (Rainer Müller)

Cc: ryandesign@… removed
Owner: changed from macports-tickets@… to ryandesign@…

comment:2 Changed 12 years ago by ryandesign (Ryan Schmidt)

Status: newassigned

Looks like the developer did a stealth-upgrade. Here's the difference between the old and new 8.86:

diff -ru 8.86_0/dcraw/dcraw.c 8.86_1/dcraw/dcraw.c
--- 8.86_0/dcraw/dcraw.c	2008-04-20 03:09:37.000000000 -0500
+++ 8.86_1/dcraw/dcraw.c	2008-04-29 13:22:52.000000000 -0500
@@ -19,8 +19,8 @@
    *If you have not modified dcraw.c in any way, a link to my
    homepage qualifies as "full source code".
 
-   $Revision: 1.402 $
-   $Date: 2008/04/20 08:09:37 $
+   $Revision: 1.403 $
+   $Date: 2008/04/29 18:18:53 $
  */
 
 #define VERSION "8.86"
@@ -922,7 +922,7 @@
     for (jcol=0; jcol < jwide; jcol++) {
       val = *rp++;
       if (jh.bits <= 12)
-	val = curve[val];
+	val = curve[val & 0xfff];
       if (cr2_slice[0]) {
 	jidx = jrow*jwide + jcol;
 	i = jidx / (cr2_slice[1]*jh.high);
@@ -5941,7 +5941,8 @@
 	  data_offset = off+24;
 	}
 	fseek (ifp, off+28, SEEK_SET);
-	if (fgetc(ifp) == 0xff && fgetc(ifp) == 0xd8) {
+	if (fgetc(ifp) == 0xff && fgetc(ifp) == 0xd8
+		&& thumb_length < len-28) {
 	  thumb_offset = off+28;
 	  thumb_length = len-28;
 	  write_thumb = &CLASS jpeg_thumb;

I'll update the portfile.

comment:3 Changed 12 years ago by ryandesign (Ryan Schmidt)

Resolution: fixed
Status: assignedclosed

Fixed in r36478. Thanks for reporting the problem.

comment:4 Changed 11 years ago by (none)

Milestone: Port Bugs

Milestone Port Bugs deleted

Note: See TracTickets for help on using tickets.